<?php
// +-----------------------------------------------------------------------+
// | Plugin Name : Register_llgbo                                          |
// | Plugin Version : 1.0                                                  |
// | File Version : 0.1                                                    |
// | Plugin Version author : Ex-FTB            |
// | Plugin description :                                                  |
// | Ce plugin permet d'afficher les miniatures au survol des boutons      |
// | de navigation. This plugin allows display thumbnail under buton       |
// |                                                           |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// ******************************************
// ** Database install - uninstall queries **
// ******************************************

function plugin_install()
{
	$q = '
INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
	VALUES
	("llgbo_tooltip","on","Display tooltip");';

  pwg_query($q);

	$q = '
INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
	VALUES
	("llgbo_header","on","Display specific header");';
  pwg_query($q);
  
		$q = '
INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
	VALUES
	("llgbo_maintain_header","theAboutPage,theTagsPage,theCommentsPage,theIdentificationPage","Maintain header on these pages");';

  pwg_query($q);
 
 	$q = '
INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
	VALUES
	("llgbo_frame","on","Display frame around picture");';

  pwg_query($q);
 	$q = '
INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
	VALUES
	("llgbo_title_frame","on","Display picture title on frame");';

  pwg_query($q);   
	$q = '
INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
	VALUES
	("llgbo_usemap","on","Add usemap on picture");';

  pwg_query($q);


	$q = '
INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
	VALUES
	("llgbo_allinfo","off","Display all pwg picture information");';

  pwg_query($q);
  

	$q = '
CREATE TABLE IF NOT EXISTS phpwebgallery_plugin_register_llgbo_id_user (
  id_user_pwg smallint(5) NOT NULL default "0",
  id_user_llgbo int(10) NOT NULL default "0",
  KEY id_user_pwg (id_user_pwg,id_user_llgbo));';

  pwg_query($q);
}


function plugin_uninstall()
{
  $q = '
DELETE FROM '.CONFIG_TABLE.' WHERE param="llgbo_frame" LIMIT 1;';
  pwg_query( $q );
  $q = '
DELETE FROM '.CONFIG_TABLE.' WHERE param="llgbo_title_frame" LIMIT 1;';
  pwg_query( $q );
  $q = '
DELETE FROM '.CONFIG_TABLE.' WHERE param="llgbo_tooltip" LIMIT 1;';
  pwg_query( $q );

  $q = '
DELETE FROM '.CONFIG_TABLE.' WHERE param="llgbo_usemap" LIMIT 1;';
  pwg_query( $q );

  $q = '
DELETE FROM '.CONFIG_TABLE.' WHERE param="llgbo_header" LIMIT 1;';
  pwg_query( $q );
  $q = '
DELETE FROM '.CONFIG_TABLE.' WHERE param="llgbo_maintain_header" LIMIT 1;';
  pwg_query( $q );
  $q = '
DELETE FROM '.CONFIG_TABLE.' WHERE param="llgbo_allinfo" LIMIT 1;';
  pwg_query( $q );

  $q = '
DROP TABLE phpwebgallery_plugin_register_llgbo_id_user;';
  pwg_query( $q );
}

?>